# $Revision: 1.9 $, $Date: 2010/02/22 14:08:07 $
# TODO
# - handle epoch
# - hu ;)
Summary:	Obsolete packages in PLD Linux distro
Name:		obsoleted
Version:	0
Release:	4
License:	GPL
Group:		Base
BuildRequires:	rpm >= 4.4.9-56
# poldek is stupid, it does not consider noarch migration as healthy as same arch pkg
# if you wish to debug and fix, then here's trace log:
# POLDEK_TRACE=1 poldek -u ntp-client -tv -vvvvvvvv
# http://glen.alkohol.ee/pld/poldek-ntptrace.log.bz2
#BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# Adapter: This file does not like to be adapterized!

# rpmbuild: we have no binary payloads
%define		_enable_debug_packages	0

%description
This package sole purpose is to provide upgrade to new names of
obsoleted packages.

%define	PkgN(n:) %(NVR=%{-n*}; NV=${NVR%%-*}; N=${NV%%-*}; VR=${NVR#$N-}; V=${VR%%-*}; R=${VR#*-}; echo $N)
%define	PkgV(n:) %(NVR=%{-n*}; NV=${NVR%%-*}; N=${NV%%-*}; VR=${NVR#$N-}; V=${VR%%-*}; R=${VR#*-}; echo $V)
%define	PkgR(n:) %(NVR=%{-n*}; NV=${NVR%%-*}; N=${NV%%-*}; VR=${NVR#$N-}; V=${VR%%-*}; R=${VR#*-}; echo $R)

%define		migrate() \
%package -n %{PkgN -n %1} \
Summary:	%{PkgN -n %1} -> %{PkgN -n %3} upgrade path. \
Summary(pl.UTF-8):	Automatyczna migracja %{PkgN -n %1} -> %{PkgN -n%3}.\
Group:		Base \
Version:	%{PkgV -n %1} \
Release:	%{PkgR -n %1} \
Requires:	%{PkgN -n %3} >= %{PkgV -n %3}-%{PkgR -n %3} \
\
%description -n %{PkgN -n %1} \
%{PkgN -n %1} -> %{PkgN -n%3} upgrade path.\
\
%description -n %{PkgN -n %1} -l pl.UTF-8 \
Automatyczna migracja %{PkgN -n %1} -> %{PkgN -n%3}.\
\
%files -n %{PkgN -n %1}\
%{nil}

# NOTES about writing rules:
#
# The upgraded package MUST obsolete the version we provide, thus
# rule with "ntp-4.2.4p8-6 => ntpd-4.2.4p8-8"
# ntpd-4.2.4p8-8 MUST "Obsolete: ntp < 4.2.4p8-6"
# and "ntp-4.2.4p8-6" must be bigger than last name of old package name, ie
# ntp-4.2.4p8-3 was last package with old name.
#
# everything else is just magic, watch and have fun :)

# Usage: migrate OLD_NAME-VERSION-RELEASE => NEW_NAME-VERSION-RELEASE
%migrate ntp-4.2.4p8-6 => ntpd-4.2.4p8-8
%migrate ntp-client-4.2.4p8-6 => ntpdate-4.2.4p8-8

%prep
%setup -qcT

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: obsoleted.spec,v $
Revision 1.9  2010/02/22 14:08:07  glen
- update upgrade path

Revision 1.8  2010/02/22 13:24:17  glen
- disable noarch due poldek stupidity

Revision 1.7  2010/02/10 17:40:04  glen
- hmm, build ntpd rel 5

Revision 1.6  2010/02/05 13:51:43  glen
- ac does not need ntp migration, libpcap dep already forces migrate

Revision 1.5  2010/02/02 15:25:56  glen
- version corrections

Revision 1.4  2010/02/02 15:23:13  glen
- use shell builtins, perhaps easier for eyes

Revision 1.3  2010/02/02 15:15:54  glen
- handle subpackages

Revision 1.2  2010/02/02 15:00:59  glen
- pl

Revision 1.1  2010/02/02 14:56:28  glen
- handle ntp package renames
